Package com.ocient.transport

# Interface SimplexTransportFactory<T extends SimplexTransport<?,?>>

All Known Implementing Classes:
  `JavaNetOcientWireV1Transport.Factory`, `MockOcientCluster`, `NettyOcientWireV1Transport.Factory`

public interface SimplexTransportFactory<T extends SimplexTransport<?,?>>

## Method Summary

Modifier and Type
Method
Description
`CompletionStage<TransportResult<T>>`
`connect(String host, int port, XGConnection.Tls tls, int connectTimeout)`
Connects to a remote host using the specified transport and configuration.

## Method Details

### connect

CompletionStage<TransportResult<T>> connect(String host, int port, XGConnection.Tls tls, int connectTimeout)
Connects to a remote host using the specified transport and configuration.

Parameters:
  `host` - the hostname or IP address of the remote host
  `port` - the port number of the remote host
  `tls` - the TLS configuration to use for the connection, or null if TLS is not required
  `connectTimeout` - the maximum time to wait for the connection to be established, in milliseconds
Returns:
  a new `SimplexTransport` object representing the connection to the remote host